pub struct Config {
    db_path: String,
    homeserver_name: String,
}

impl Config {
    /// Get a reference to the config's db path.
    #[must_use]
    pub fn db_path(&self) -> &str {
        self.db_path.as_ref()
    }

    /// Get a reference to the config's homeserver name.
    #[must_use]
    pub fn homeserver_name(&self) -> &str {
        self.homeserver_name.as_ref()
    }
}

impl Default for Config {
    fn default() -> Self {
        Self {
            db_path: "sqlite://db.sqlite3".into(),
            homeserver_name: "fuckwit.dev".into(),
        }
    }
}